// BattleField.h: CBattleField NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BATTLEFIELD_H__7E471A40_00A1_11D3_8D93_885D34C3DC0E__INCLUDED_)
#define AFX_BATTLEFIELD_H__7E471A40_00A1_11D3_8D93_885D34C3DC0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Block.h"
#include "DirectDrawSurface.h"

#define BLOCKSIZE (32)
#define XSIZE (7)
#define YSIZE (14)

class CBattleField  
{
public:
	void DrawScore(CDirectDrawSurface* pSurf);
	bool EraseSearch();
	bool IsDead();
	void Init();
	void Erase(int k);
	void Break();
	void DrawBlock( CBlock* pBlock , CDirectDrawSurface* pSurf );
	void Draw( CDirectDrawSurface* pSurf );
	void SetBlock( CBlock* pBlock );
	bool Overlap( CBlock* pBlock );
	CBattleField();
	virtual ~CBattleField();

private:
	RECT m_Rect;
	int m_List[XSIZE][YSIZE];
	int m_EList[XSIZE][YSIZE];

	int m_Score;
};

#endif // !defined(AFX_BATTLEFIELD_H__7E471A40_00A1_11D3_8D93_885D34C3DC0E__INCLUDED_)
