// DirectInput.h: CDirectInput NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTINPUT_H__407F2C21_94EA_11D2_B316_98C8B9C1384A__INCLUDED_)
#define AFX_DIRECTINPUT_H__407F2C21_94EA_11D2_B316_98C8B9C1384A__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDirectInput  
{
public:
	CDirectInput();
	virtual ~CDirectInput();

	bool Initialize(HINSTANCE hinst,HWND hwnd);
	void ReleaseAll();
	void AcquireKey( bool b = true );
	void AcquireMouse( bool b = true );

	bool IsKeyDown( const int n );
	bool GetKeyState( size_t size,char* st );

	bool GetMouseState( DIMOUSESTATE* st );
private:
	IDirectInput* m_pDirectInput;
	IDirectInputDevice* m_pDeviceMouse;
	IDirectInputDevice* m_pDeviceKey;
	bool m_bInit;
};

#endif // !defined(AFX_DIRECTINPUT_H__407F2C21_94EA_11D2_B316_98C8B9C1384A__INCLUDED_)
